import type { DynamoDBRecord, KinesisStreamRecord, SQSRecord } from 'aws-lambda';
import { BasePartialProcessor } from './BasePartialProcessor';
import { EventType } from './constants';
import type { EventSourceDataClassTypes, PartialItemFailureResponse, PartialItemFailures } from './types';
declare abstract class BasePartialBatchProcessor extends BasePartialProcessor {
    COLLECTOR_MAPPING: {
        SQS: () => PartialItemFailures[];
        KinesisDataStreams: () => PartialItemFailures[];
        DynamoDBStreams: () => PartialItemFailures[];
    };
    batchResponse: PartialItemFailureResponse;
    eventType: keyof typeof EventType;
    constructor(eventType: keyof typeof EventType);
    clean(): void;
    collectDynamoDBFailures(): PartialItemFailures[];
    collectKinesisFailures(): PartialItemFailures[];
    collectSqsFailures(): PartialItemFailures[];
    entireBatchFailed(): boolean;
    getMessagesToReport(): PartialItemFailures[];
    hasMessagesToReport(): boolean;
    prepare(): void;
    response(): PartialItemFailureResponse;
    toBatchType(record: EventSourceDataClassTypes, eventType: keyof typeof EventType): SQSRecord | KinesisStreamRecord | DynamoDBRecord;
}
export { BasePartialBatchProcessor };
//# sourceMappingURL=BasePartialBatchProcessor.d.ts.map