import type { BaseRecord, BatchProcessingOptions, EventSourceDataClassTypes, FailureResponse, ResultType, SuccessResponse } from './types';
declare abstract class BasePartialProcessor {
    errors: Error[];
    failureMessages: EventSourceDataClassTypes[];
    handler: CallableFunction;
    options?: BatchProcessingOptions;
    records: BaseRecord[];
    successMessages: EventSourceDataClassTypes[];
    constructor();
    abstract clean(): void;
    failureHandler(record: EventSourceDataClassTypes, exception: Error): FailureResponse;
    abstract prepare(): void;
    process(): Promise<(SuccessResponse | FailureResponse)[]>;
    abstract processRecord(record: BaseRecord): Promise<SuccessResponse | FailureResponse>;
    abstract processRecordSync(record: BaseRecord): SuccessResponse | FailureResponse;
    processSync(): (SuccessResponse | FailureResponse)[];
    register(records: BaseRecord[], handler: CallableFunction, options?: BatchProcessingOptions): BasePartialProcessor;
    successHandler(record: EventSourceDataClassTypes, result: ResultType): SuccessResponse;
}
export { BasePartialProcessor };
//# sourceMappingURL=BasePartialProcessor.d.ts.map