"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BatchProcessor = void 0;
const BasePartialBatchProcessor_1 = require("./BasePartialBatchProcessor");
const errors_1 = require("./errors");
class BatchProcessor extends BasePartialBatchProcessor_1.BasePartialBatchProcessor {
    async processRecord(record) {
        try {
            const data = this.toBatchType(record, this.eventType);
            const result = await this.handler(data, this.options?.context);
            return this.successHandler(record, result);
        }
        catch (error) {
            return this.failureHandler(record, error);
        }
    }
    processRecordSync(_record) {
        throw new errors_1.BatchProcessingError('Not implemented. Use asyncProcess() instead.');
    }
}
exports.BatchProcessor = BatchProcessor;
