"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processPartialResponse = void 0;
const errors_1 = require("./errors");
const processPartialResponse = async (event, recordHandler, processor, options) => {
    if (!event.Records || !Array.isArray(event.Records)) {
        throw new errors_1.UnexpectedBatchTypeError();
    }
    processor.register(event.Records, recordHandler, options);
    await processor.process();
    return processor.response();
};
exports.processPartialResponse = processPartialResponse;
