"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processPartialResponseSync = void 0;
const errors_1 = require("./errors");
const processPartialResponseSync = (event, recordHandler, processor, options) => {
    if (!event.Records || !Array.isArray(event.Records)) {
        throw new errors_1.UnexpectedBatchTypeError();
    }
    processor.register(event.Records, recordHandler, options);
    processor.processSync();
    return processor.response();
};
exports.processPartialResponseSync = processPartialResponseSync;
